eoParetoFitnessTraits(3)

NAME
eoParetoFitnessTraits - eoFitnessTraits: a traits class to specify the number of objectives and which one are maximizing or not See test/t-eoParetoFitness for its use.

SYNOPSIS

#include <eoParetoFitness.h>

Inherited by eoVariableParetoTraits, MinimizingFitnessTraits, MinimizingFitnessTraits, and MinimizingTraits.

  Static Public Member Functions
unsigned nObjectives ()
double tol ()
bool maximizing (int which)

Detailed Description

eoFitnessTraits: a traits class to specify the number of objectives and which one are maximizing or not See test/t-eoParetoFitness for its use. If you define your own, make sure you make the functions static!

Definition at line 42 of file eoParetoFitness.h.

Author

Generated automatically by Doxygen for EO from the source code.